package awais.instagrabber.adapters.viewholder;

import android.view.View;
import android.widget.TextView;

import androidx.annotation.NonNull;

import com.thoughtbot.expandablerecyclerview.models.ExpandableGroup;
import com.thoughtbot.expandablerecyclerview.viewholders.GroupViewHolder;

public class GroupHeaderHolder extends GroupViewHolder {
    private final TextView title;

    public GroupHeaderHolder(final View itemView) {
        super(itemView);
        title = itemView.findViewById(android.R.id.text1);
        title.setBackgroundColor(0x80_1565C0);
    }

    public void setTitle(@NonNull final ExpandableGroup<?> group) {
        title.setText(group.getTitle());
    }
}